# NixOps configuration for cuallaidh
{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [
    ../../modules/tmate-ssh-server.nix
    ../../networks/linode.nix
    ../../profiles/coturn.nix
    ../../profiles/iog.nix
    ../../profiles/ipv6.nix
    ../../profiles/mastodon.nix
    ../../profiles/matrix.nix
    ../../profiles/mcwhirter.io.nix
    #../../profiles/minecraftServer.nix
    ../../profiles/nextcloud.nix
    ../../profiles/nixpkgs-dev.nix
    ../../profiles/taskserver.nix
    ../../profiles/tt-rss.nix
  ];

  networking.hostName = "cuallaidh"; # Define your hostname.
  networking.interfaces.eth0.ipv6.addresses = [
    {
      address = "2400:8907::f03c:92ff:fe08:f1d4";
      prefixLength = 64;
    }
  ];

  services = {
    tmate = {
      enable = true;
      openFirewall = true;
      sshHostname = "tmate.mcwhirter.io";
    };
    nginx = {
      virtualHosts."git.mcwhirter.io" = {
        enableACME = true;
        forceSSL = true;
        globalRedirect = "reciproka.dev"; # Redirect permanently to the host
      };
      virtualHosts."source.mcwhirter.io" = {
        enableACME = true;
        forceSSL = true;
        globalRedirect = "reciproka.dev"; # Redirect permanently to the host
      };
    };
  };

  security.acme = {
    acceptTerms = true;
    defaults.email = "acme@mcwhirter.io";
    certs = {"git.mcwhirter.io" = {};};
    certs = {"source.mcwhirter.io" = {};};
  };

  system.stateVersion = "19.03"; # The version of NixOS originally installed
}
