# NixOS Configuration for a Lenovo x201
{
  config,
  pkgs,
  ...
}: {
  imports = [
    ../../hardware/lenovo_x201.nix
    ../../profiles/desktop_common.nix
    ../../profiles/wine.nix
  ];

  # Use the GRUB 2 boot loader.
  boot.loader.grub.enable = true;
  boot.loader.grub.device = "/dev/sda";

  networking.hostName = "iolear-beag"; # Define your hostname.

  system.stateVersion = "18.09"; # The version of NixOS originally installed
}
