# A minimal, blazing fast, and extremely customizable prompt for any shell
{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.profiles.starship;
in {
  options.profiles.starship = {
    enable = mkEnableOption "to enable the starship prompt.";
  };
  config = mkIf (cfg.enable) {
    programs.starship = {
      enable = true;
      presets = ["nerd-font-symbols"];
      settings = pkgs.lib.importTOML ./craige.toml;
    };
  };
}
