# NixOps configuration for the Raspberry Pi 2B Rack
{
  imports = [
    <nixpkgs/nixos/modules/installer/scan/not-detected.nix>
    ../hardware/raspberry_pi_2_model_B.nix
    ../profiles/host_common.nix
    ../profiles/pi_common.nix
    ../profiles/server_common.nix
  ];

  # Ensure the right package architecture is used
  nixpkgs.crossSystem = {system = "armv7l-linux";};

  networking.wireless.enable =
    false; # Toggles wireless support via wpa_supplicant.

  documentation = {
    nixos.enable = false; # Save some space by disabling the manual
  };

  users.users.root = {
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDtjE0YstRzlh+Zhlj03th9DYOkMqJ5xHUcderBq151K craige@mcwhirter.io"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFq6/C6ZSM8nS091fqw/om9LRszHDmS82ZTL7+GaSBnz craige@paidh-tri"
    ];
  };
}
