# Use the Nix community aarch64 server as a build server
# https://github.com/nix-community/aarch64-build-box
{
  programs.ssh.knownHosts."aarch64.nixos.community" = {
    publicKey = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMUTz5i9u5H2FHNAmZJyoJfIGyUm/HfGhfwnc142L3ds";
  };

  nix = {
    distributedBuilds = true;
    buildMachines = [
      {
        hostName = "aarch64.nixos.community";
        maxJobs = 64;
        sshKey = "/root/.ssh/id_nixops_ed25519";
        sshUser = "craige";
        system = "aarch64-linux";
        supportedFeatures = ["big-parallel"];
      }
    ];
  };
}
