# Used by ragenix nix only.
# Ensure that $RULES has been set via direnv
# Edit a key: `ragenix -i ~/.ssh/id_ed25519 -e secrets/someKey.age`
# run `ragenix -r -i /path/to/your/key` after modifying any keys below
#
# Re-keying is required after adding new hosts or keys:
# run `ragenix -r -i /path/to/your/key`
let
  craige = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDtjE0YstRzlh+Zhlj03th9DYOkMqJ5xHUcderBq151K";
  ops = [craige];
  users = [craige];

  airgead = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBanX/MOfoTT8Y/2x24yusGQzfxBqlaKxVbpNiqnAmKp";
  brighde = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOxma18HaXAQlD33jR5iIolSI9p2hTDAMkw6rlQXHnl7";
  ceitidh = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEGB8EUbqoarM4GmPgE2DBF4z/L6wVNc+lF27Z83XDUz";
  cuallaidh = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKfELhpKAIDCTFYrO4wXP9BrXsUlafcD5vELQwtF4LCl";
  dionach = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPcLVq/vaqNz+SzTKHd2mlw+jEYG+JYdYP/1mwK6lF0J";
  doilidh = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIIVqs/F41PYoOPtThVRhLFjl+g/sH4aKRxki0CkZxj/7";
  eamhair = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMgjh98yNFdvLygrVdPaS8h6+1FoLRVCzzLbKr255zO0";
  iolear-beag = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIA/57dNKaPjljQz+xc299xmT+njVL6AqEGuKr3SrFrxT";
  sanganto = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJ2c9oj7yQLuIjQQR5fGV4FHPfhb4VpLnXeQJv15Hti+";
  sercanto = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIIMxMEwo3nv7yHQOQEUt2HZdgTBfe5Y7xa1kmvC9qjbi";
  teintidh = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFhe0W7iAe9E00IUDo83nOY4BKfyoLVQPKlT8EZPvdwx";
  systems = [
    airgead
    brighde
    ceitidh
    cuallaidh
    dionach
    doilidh
    eamhair
    iolear-beag
    sanganto
    sercanto
    teintidh
  ];
in {
  "root-ops.age".publicKeys = ops ++ systems;
  "craige-ops.age".publicKeys = [craige] ++ systems;
  "root.age".publicKeys = ops ++ systems;
  "craige.age".publicKeys = [craige] ++ systems;
  "fiona.age".publicKeys = ops ++ systems;
  "hamish.age".publicKeys = ops ++ systems;
  "logan.age".publicKeys = ops ++ systems;
  "xander.age".publicKeys = ops ++ systems;
  "cardano/cardano-kes.age".publicKeys = ops ++ systems;
  "cardano/cardano-vrf.age".publicKeys = ops ++ systems;
  "cardano/cardano-opcert.age".publicKeys = ops ++ systems;
  "coturn.age".publicKeys = ops ++ systems;
  "nextcloud-dbpass.age".publicKeys = ops ++ systems;
  "nextcloud-adminpass.age".publicKeys = ops ++ systems;
  "tt-rss-dbpass.age".publicKeys = ops ++ systems;
}
